import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementPlus from "element-plus";
import { ElMessage } from "element-plus";

// import './assets/styles/index.scss';
import "element-plus/lib/theme-chalk/index.css";
import "dayjs/locale/zh-cn";
import locale from "element-plus/lib/locale/lang/zh-cn";

createApp().config.globalProperties.$message = ElMessage;

createApp(App)
  .use(router)
  .use(store)
  .use(ElementPlus, { locale })
  .mount("#app");
