const { API_INTERNAL_URI } = require('../config.js')

var query = {
  async get_permissions(ctx, next) {
    const url = `${API_INTERNAL_URI}/api/v1/pandora/auth`;
    const opts = {
      url,
      method: 'POST',
      json: true,
      body: ctx.request.body
    }
  }
}

exports.query = async (ctx, next) => {
  var type = ctx.params.type
  if (query[type]) {
    try {
      ctx.set('Content-Type', 'application/json; charset=utf-8')
      await query[type](ctx, next)
    } catch (e) {
      console.error('/home/q error', e, ctx.url, ctx.headers['cookie'])
      ctx.body = { status: 'failed', reason: 'Internal Server Error' }
    }
  } else {
    ctx.body = {
      status: 'failed',
      reason: 'Invalid type param',
    }
  }
}
